package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealWarningRecordOperateRequest struct {
	// <ext>core:true</ext> 【预警记录ID】预警记录ID 【作用】 1、指定需要处理的预警记录ID 2、可通过6.7.2 查询印章预警列表（/seal/warning/record/query）获取预警记录ID
	RecordId string `json:"recordId"`
	// <ext>core:true</ext> 【处理方式】处理方式 【作用】 指定如何处理风险预警 1、忽略：若此风险预警无需处理，可选择直接忽略 2、页面处理：如需处理风险，将返回预警处理页面，支持跳转至对应的风险处理页面。若传入的处理人有相应的权限，则可以进行风险处理操作。 3、不同的风险预警处理方式不同，您也可以通过相应的业务接口进行以下操作，来完成风险预警的处理。 a)印章角色人员互斥：需在印章详情页互斥的角色项下删减重复的人员 b)印章角色人员空缺：需在印章详情页空缺的角色项下添加人员 c)印章关联的长期证书即将到期：需申请新证书 d)物理用印超过围栏，物理用印按压超时，物理用印盖章时移动章筒，物理用印盖骑缝章时章筒超出电子围栏，物理用印“印控台5.0”红外区域外盖章：需在用印申请页面标记已处理 e)物理用印上传的用印图片数量与用印次数不符合、物理用印图片未及时回传：需及时上传用印图片，直到用印图片数量≥申请次数 【传参】 取值范围：IGNORE（忽略），WEB_PAGE（页面处理）。
	OperateType     string                  `json:"operateType"`
	UserInfoRequest *common.UserInfoRequest `json:"userInfoRequest,omitempty"`
}

func (obj SealWarningRecordOperateRequest) GetUrl() string {
	return "/seal/warning/record/operate"
}

func (obj SealWarningRecordOperateRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
